{ pkgs, fonts, lndir, ... }:

with pkgs;
stdenv.mkDerivation {
  name = "erambler-html";
  src = ../.;
  nativeBuildInputs = [ hugo fonts ];
  buildPhase = "hugo";
  installPhase = ''
    mkdir $out
    cp -R public/* public/.well-known "$out"
    mkdir -p "$out/font"
    ${lndir}/bin/lndir -silent ${fonts} "$out/font"
  '';
}
